.what-we-do {
    @include rel-block;

    // BOXES
    &-boxes {
        @include rel-block;
        padding-bottom: 10rem;
        @include link;

        @media (min-width: 1200px) {
            overflow: hidden
        }

        @media (min-width: 1660px) {
            padding-bottom: 15rem;
        }

        @include mobileMax {
            overflow-y: hidden;
            padding-bottom: 5rem
        }

        ul {
            @include tablet {
                display: grid;
                grid-template-columns: repeat(2, 1fr);
                gap: 3rem 3rem
            }

        }

        li {
            display: flex;
            margin-top: 12rem;
            column-gap: 10rem;

            @include mobileMax {
                @include rel-block;
                margin-top: 5rem;
            }

            & .image {
                flex: 0 0 40.32258064516129%;

                position: relative;
                border-radius: .6rem;

                overflow: hidden;

                @media (min-width: 1200px) {
                    visibility: hidden;
                }

                @include mobileMax {
                    margin-bottom: 3rem;
                }

                img {
                    height: 100%;
                    width: 100%;
                    object-fit: cover;
                    transform-origin: left;

                }
            }

            & .text {
                flex: 1;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: flex-start;

                h2 {
                    font-weight: bold;
                    font-size: 4rem;
                    line-height: 125%;
                    text-align: left;
                    color: $blc;
                    margin-bottom: 3rem;

                    @include mobileMax {
                        font-size: 3rem;
                    }
                }

                p {
                    font-weight: normal;
                    font-size: 2.2rem;
                    line-height: 135%;
                    text-align: left;
                    color: $blc;
                    margin-bottom: 4rem;

                    @include mobileMax {
                        font-size: 1.6rem;
                    }

                }
            }

            &:nth-child(even) {
                & .image {
                    order: 2
                }

                & .text {
                    order: 1;
                }
            }
        }
    }

    // WORK
    &-work {
        @include rel-block;
        background: $black;
        padding: 10rem 0;
        overflow: hidden;
        margin-bottom: 10rem;

        @media (min-width: 1660px) {
            padding: 15rem 0;
            margin-bottom: 10rem;
        }

        @include mobileMax {
            padding: 5rem 0;
            margin-bottom: 5rem;
        }

        h3 {
            color: $white;
            font-weight: bold;
            font-size: 6rem;
            line-height: 103%;
            text-align: left;
            text-transform: uppercase;

            @media (min-width: 1660px) {
                font-size: 8rem;
            }

            @media (max-width: 1499px) {
                font-size: 5rem;
                line-height: 125%;
            }

            @include mobileMax {
                font-size: 4rem;
                line-height: 125%;
            }

            @include mobile {
                font-size: 3rem;
                line-height: 125%;
            }
        }

        p {
            margin-top: 5rem;
            color: $white;

            @include mobileMax {
                margin-top: 3rem;
            }
        }

        h3,
        p {
            max-width: 62rem;
        }

        .btn-orange {
            margin-top: 7rem;

            @include mobileMax {
                margin-top: 3rem;
            }
        }

        ul {
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            column-gap: 4rem;
            margin-top: 8rem;

            @include mobileMax {
                padding: 0 5%;
                margin-top: 5rem;
            }

            li {

                a {
                    @include rel-block;
                    @include bg;

                    &:hover {
                        @media (min-width: 1200px) {
                            .image {
                                // background: $orange;

                                // img {
                                //     opacity: 0;
                                // }
                                &:before {
                                    bottom:0;
                                }
                            }

                            .text {
                                // transform: translate(3rem, -20rem);


                                .cat {
                                    color: $white;
                                }
                            }
                        }
                    }

                    & .image {
                        @include rel-block;
                        border-radius: .6rem;
                        overflow: hidden;
                        @include bg;

                        img {
                            border-radius: .6rem;
                            @include link;
                        }

                        &:before {
                            @include abs-block;
                            background: rgba(252, 141, 14, .9);
                            bottom: -110%;
                            left: 0;
                            width: 110%;
                            height: 110%;
                            content: '';
                            
                            @include link;
                        }
                    }

                    .text {
                        @include rel-block;
                        @include link;

                        h4 {
                            font-weight: 600;
                            font-size: 2.8rem;
                            line-height: 120%;
                            text-align: left;
                            color: $white;
                            margin: 2rem 0 1rem 0;
                            @include rel-block;
                            @include link;
                            max-width: 26rem;

                            @include mobileMax {
                                font-size: 2rem;
                                max-width: 100%;
                            }
                            @include tabletBig {
                                font-size: 2.2rem;
                                max-width: 100%;
                            }
                        }

                        .cat {
                            font-weight: normal;
                            font-size: 1.4rem;
                            line-height: 125%;
                            text-align: left;
                            color: #a9aaab;
                        }
                    }
                }
            }
        }
    }


    // CONTACT
    &-contact {
        @include rel-block;
        background: $white;
        padding: 10rem 0 0rem 0;

        @media (min-width: 1660px) {
            padding: 15rem 0 0rem 0;
        }

        ul {
            display: flex;
            column-gap: 8rem;

            li {
                height: 100%;
                flex: 1;
                position: relative;
                height: auto;

                & .cnt {
                    position: absolute;
                    z-index: 2;
                    left: 0;
                    top: 0;
                    width: 100%;
                    height: 100%;
                    display: flex;
                    align-items: center;
                    flex-direction: column;
                    justify-content: center;

                    & .subtitle {
                        font-weight: 600;
                        font-size: 1.6rem;
                        letter-spacing: 0.3em;
                        line-height: 125%;
                        text-align: left;
                        color: $white;
                        text-transform: uppercase;
                    }

                    & .title {
                        font-weight: bold;
                        font-size: 2.8rem;
                        line-height: 130%;
                        text-align: center;
                        color: $white;
                        @include rel-block;
                        margin-top: 1rem;
                        text-transform: uppercase;
                        margin-bottom: 3rem;
                    }
                }

                &:nth-child(1) {
                    flex: 0 0 32.46835443037975%;

                    & .title {
                        margin-bottom: 4rem;
                    }

                    & .sticky {
                        position: sticky;
                        top: 0;
                    }
                }

                img {
                    border-radius: .6rem;
                }
            }

        }
    }



}